import numpy as np
from scipy.spatial.distance import cosine


def euclidean_distance(detection, tracked_object):
    return np.linalg.norm(detection.points - tracked_object.estimate)

def manhattan_distance(detection, tracked_object):
    return np.sum(np.abs(detection.points - tracked_object.estimate))




